## org.jvnet.maven.plugin.antrun
Class GraphVisitors

    java.lang.Object
      org.jvnet.maven.plugin.antrun.GraphVisitors

    public class GraphVisitors

extends java.lang.Object

Factories for `GraphVisitor`.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`GraphVisitors()`

Method Summary
`static GraphVisitor` `and(java.util.Collection<? extends GraphVisitor> visitors)` Combines multiple `GraphVisitor` by AND-ing its output.
`static GraphVisitor` `and(GraphVisitor... visitors)` Combines multiple `GraphVisitor` by AND-ing its output.
`static GraphVisitor` `not(GraphVisitor graph)` Obtains a `GraphVisitor` that does boolean-negation of the current `GraphVisitor`.
`static GraphVisitor` `or(java.util.Collection<? extends GraphVisitor> visitors)` Combines multiple `GraphVisitor` by OR-ing its output.
`static GraphVisitor` `or(GraphVisitor... visitors)` Combines multiple `GraphVisitor` by OR-ing its output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphVisitors

    public GraphVisitors()

Method Detail

### and

    public static GraphVisitor and(GraphVisitor... visitors)

  Combines multiple `GraphVisitor` by AND-ing its output. Can be used to create intersections.

### and

    public static GraphVisitor and(java.util.Collection<? extends GraphVisitor> visitors)

  Combines multiple `GraphVisitor` by AND-ing its output. Can be used to create intersections.

### or

    public static GraphVisitor or(GraphVisitor... visitors)

  Combines multiple `GraphVisitor` by OR-ing its output. Can be used to create unions.

### or

    public static GraphVisitor or(java.util.Collection<? extends GraphVisitor> visitors)

  Combines multiple `GraphVisitor` by OR-ing its output. Can be used to create unions.

### not

    public static GraphVisitor not(GraphVisitor graph)

  Obtains a `GraphVisitor` that does boolean-negation of the current `GraphVisitor`.

Copyright © 2011. All Rights Reserved.